com.h3c.util.pkt

## Enum HardwareType

- java.lang.Object
- - java.lang.Enum<HardwareType>
  - - com.h3c.util.pkt.HardwareType

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<HardwareType>

      public enum HardwareType
      extends Enum<HardwareType>
      implements ProtocolEnum

  Hardware types (used in ARP, DHCP, ...).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARCNET` ARCNeT.
    `ATM` ATM.
    `ATM2` ATM2
    `ETHERNET` Ethernet2.
    `FIBER_CHANNEL` Fiber Channel.
    `FRAME_RELAY` Frame Relay.
    `HDLC` HDLC.
    `HYPER_CHANNEL` Hyper Channel.
    `IEEE802` IEEE 802 Networks.
    `NONE` No hardware type.
    `SERIAL` Serial line.
    `TOKEN_RING` Token Ring.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static HardwareType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HardwareType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final HardwareType NONE

      No hardware type.

    - #### ETHERNET

          public static final HardwareType ETHERNET

      Ethernet2.

    - #### TOKEN_RING

          public static final HardwareType TOKEN_RING

      Token Ring.

    - #### IEEE802

          public static final HardwareType IEEE802

      IEEE 802 Networks.

    - #### ARCNET

          public static final HardwareType ARCNET

      ARCNeT.

    - #### HYPER_CHANNEL

          public static final HardwareType HYPER_CHANNEL

      Hyper Channel.

    - #### FRAME_RELAY

          public static final HardwareType FRAME_RELAY

      Frame Relay.

    - #### ATM

          public static final HardwareType ATM

      ATM.

    - #### HDLC

          public static final HardwareType HDLC

      HDLC.

    - #### FIBER_CHANNEL

          public static final HardwareType FIBER_CHANNEL

      Fiber Channel.

    - #### ATM2

          public static final HardwareType ATM2

      ATM2

    - #### SERIAL

          public static final HardwareType SERIAL

      Serial line.

  - ### Method Detail

    - #### values

          public static HardwareType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HardwareType c : HardwareType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HardwareType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.